### Function

# Qmi MessagePdsSetGpsServiceStateInput new

since: 1.0

#### Declaration [src]

    QmiMessagePdsSetGpsServiceStateInput*
    qmi_message_pds_set_gps_service_state_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessagePdsSetGpsServiceStateInput`.

Available since: 1.0

#### Return value

Type: `QmiMessagePdsSetGpsServiceStateInput`

The newly created `QmiMessagePdsSetGpsServiceStateInput`. The returned value should be freed with qmi_message_pds_set_gps_service_state_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.